# Generated from spree_piwik-1.1.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name spree_piwik

Name: rubygem-%{gem_name}
Version: 1.1.0
Release: 1%{?dist}
Summary: Adds piwik tracking with Ecommerce tracking
License: BSD-3
URL: http://berk.es
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 1.9.3
# BuildRequires: rubygem(therubyracer) >= 0.12
# BuildRequires: rubygem(therubyracer) < 1
# BuildRequires: rubygem(capybara) >= 2.4
# BuildRequires: rubygem(capybara) < 3
# BuildRequires: rubygem(coffee-rails) >= 4.1
# BuildRequires: rubygem(coffee-rails) < 5
# BuildRequires: rubygem(database_cleaner) >= 1.4
# BuildRequires: rubygem(database_cleaner) < 2
# BuildRequires: rubygem(factory_girl) >= 4.5
# BuildRequires: rubygem(factory_girl) < 5
# BuildRequires: rubygem(ffaker) >= 1
# BuildRequires: rubygem(ffaker) < 2
# BuildRequires: rubygem(rspec-rails) >= 3.1
# BuildRequires: rubygem(rspec-rails) < 4
# BuildRequires: rubygem(spring-commands-rspec) >= 1
# BuildRequires: rubygem(spring-commands-rspec) < 2
# BuildRequires: rubygem(rkelly-remix)
# BuildRequires: rubygem(rkelly-remix) < 1
# BuildRequires: rubygem(launchy) >= 2.4
# BuildRequires: rubygem(launchy) < 3
# BuildRequires: rubygem(sass-rails) >= 4.0
# BuildRequires: rubygem(sass-rails) < 5
# BuildRequires: rubygem(selenium-webdriver) >= 2.44
# BuildRequires: rubygem(selenium-webdriver) < 3
# BuildRequires: rubygem(simplecov)
# BuildRequires: rubygem(simplecov) < 1
# BuildRequires: rubygem(sqlite3) >= 1.3
# BuildRequires: rubygem(sqlite3) < 2
BuildArch: noarch

%description
SpreePiwik
==========
Adds piwik tracking with Ecommerce tracking
Status
------
[![Build
Status](https://travis-ci.org/berkes/spree_piwik.svg?branch=develop)](https://travis-ci.org/berkes/spree_piwik)
[![Code
Climate](https://codeclimate.com/github/berkes/spree_piwik/badges/gpa.svg)](https://codeclimate.com/github/berkes/spree_piwik)
Installation
------------
Add spree_piwik to your Gemfile:
```ruby
gem 'spree_piwik'
```
Bundle your dependencies and run the installation generator:
```shell
bundle
bundle exec rails g spree_piwik:install
```
Add your Piwik URL and site-id to the `config/initializers/spree_piwik.rb`
For example:
```ruby
Spree::Piwik::Config[:piwik_url] = "piwik.example.com"
Spree::Piwik::Config[:piwik_id] =  1337
```
Will use http(s)://piwik.example.com/ as url for your Piwik. And track
stats for the site that has the id 1337 in Piwik.
Screenshot
----------
![Screenshot of the Ecommerce functionality in action with this
extension](doc/spree_piwik.png).
Testing
-------
First bundle your dependencies, then run `rake`. `rake` will default to
building the dummy app if it does not exist, then it will run specs. The dummy
app can be regenerated by using `rake test_app`.
```shell
bundle
bundle exec rake
```
When testing your applications integration with this extension you may use
it's factories.
Simply add this require statement to your spec_helper:
License
-------
SpreePiwik is released under the [New BSD
License](https://github.com/spree/spree/blob/master/license.md) similar to
Spree.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.hound.yml
%{gem_instdir}/.ruby-version
%exclude %{gem_instdir}/.travis.yml
%{gem_instdir}/app
%{gem_instdir}/bin
%{gem_instdir}/config
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%doc %{gem_instdir}/doc
%{gem_instdir}/spec
%{gem_instdir}/spree_piwik.gemspec

%changelog
* Wed Aug 25 2021 mockbuilder - 1.1.0-1
- Initial package
